#715 closed defect (fixed)

libchip/rtc/mc146818a.c should not include bsp.h

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: bsps Version: unknown
Severity: critical Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

See title of bug.. it is pretty obvious.

Release:
unknown

Change History (3)

comment:1 Changed on Nov 10, 2004 at 9:24:18 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on Nov 10, 2004 at 9:26:05 PM by Joel Sherrill

Status: closedassigned

comment:3 Changed on Nov 11, 2004 at 1:05:27 AM by Ralf Corsepius

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Fixed on 04/11/03

ndex: libchip/rtc/mc146818a.c
===================================================================
RCS file: /usr1/CVS/rtems/c/src/libchip/rtc/mc146818a.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- libchip/rtc/mc146818a.c 21 Oct 2004 13:26:58 -0000

1.3

+++ libchip/rtc/mc146818a.c 3 Nov 2004 08:18:56 -0000

1.4

@@ -20,12 +20,11 @@

  • * $Id: mc146818a.c,v 1.3 2004/10/21 13:26:58 ralf Exp $

+ * $Id: mc146818a.c,v 1.4 2004/11/03 08:18:56 ralf Exp $

*/

#include <rtems.h>
#include <libchip/rtc.h>
#include <libchip/mc146818a.h>

-#include <bsp.h>

#define From_BCD( _x ) ((((_x) >> 4) * 10) + ((_x) & 0x0F))
#define To_BCD( _x ) ((((_x) / 10) << 4) + ((_x) % 10))

Note: See TracTickets for help on using tickets.